Subject: bug#65029: Italics bug when Emacs runs inside GNU Screen

From: Gregory Heytings <[email-masked]>
Date: Sat, 19 Aug 2023 12:23:39 +0000

>>> And their version from master also yields the same result from 
>>> infocmp?
>>
>> It's not the exact same result, but AFAICS it does not advertise the 
>> italic mode capability either.
>
> Note that terminfo files are distributed by ncurses, independent of 
> screen or tmux.
>

Yes and no.  It's correct that the standard terminfo files are distributed 
by ncurses, but ncurses does not create them out of thin air.  And screen 
master contains a terminfo source file, which does not advertise the 
italic mode capability.